use <SliderLeft.scad>;

$fn = 100;

M3HoleDiam = 3.4;
MountSize = 40;
BodyWidth = 55;


translate([BodyWidth+5, 0, 0]) mirror([180, 0, 0]) difference() {
    MainBody();
    M3MountHoles();
    
    xcenter = 49;
    ycenter = MountSize/2 - 10;
    translate([xcenter, ycenter, -5]) #BottomZRodHoles();
    YRodHoles();

    // M3 Hole for role
    translate([60/2, 45, (50/2) - 5]) rotate([0, 0, -90]) #M3Hole(6);
}